using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.LR;
using APT.MS.Domain.Entities.SC.SC;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查依据")]
    public class T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_BASIC : MesEntityBase
    {
        /// <summary>
        /// 检查记录明细表
        /// </summary>
        [Description("检查记录明细表")]
        [DataFieldForeignKey("Nav_CheckRecordDetail", "Nav_CheckRecordDetailBasics")]
        public Guid SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查记录明细表
        /// </summary>
        [Description("导航：检查记录明细表")]
        public virtual T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL Nav_CheckRecordDetail { get; set; }

        /// <summary>
        /// 法律法规库
        /// </summary>
        [Description("法律法规库")]
        [DataFieldForeignKey("Nav_Law")]
        public Guid? LAW_ID { get; set; }

        /// <summary>
        /// 导航属性：法律法规库
        /// </summary>
        [Description("导航属性：法律法规库")]
        public T_LR_LAW Nav_Law { get; set; }
    }
}
